io.vertx.groovy.core.eventbus

## Class Message_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.eventbus.Message_GroovyExtension

-     public class Message_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `body(Message j_receiver)`
    `static void` | `reply(Message j_receiver, Object message)`
    `static <R> void` | `reply(Message j_receiver, Object message, Handler<AsyncResult<Message<Object>>> replyHandler)`
    `static void` | `reply(Message j_receiver, Object message, Map<String,Object> options)`
    `static <R> void` | `reply(Message j_receiver, Object message, Map<String,Object> options, Handler<AsyncResult<Message<Object>>> replyHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message_GroovyExtension

          public Message_GroovyExtension()

  - ### Method Detail

    - #### body

          public static Object body(Message j_receiver)

    - #### reply

          public static void reply(Message j_receiver,
                                   Object message)

    - #### reply

          public static <R> void reply(Message j_receiver,
                                       Object message,
                                       Handler<AsyncResult<Message<Object>>> replyHandler)

    - #### reply

          public static void reply(Message j_receiver,
                                   Object message,
                                   Map<String,Object> options)

    - #### reply

          public static <R> void reply(Message j_receiver,
                                       Object message,
                                       Map<String,Object> options,
                                       Handler<AsyncResult<Message<Object>>> replyHandler)

Copyright © 2017. All rights reserved.